MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025791Open CASCADE[OCCT] OCCT:Configurationpublic2015-02-04 11:392015-05-14 15:32
Reporteroan 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025791: Impossibility to generate projects for Foundation Classes without TclTk/Freetype using CMake
DescriptionTKernel and TKMath do not depend on TclTk nor Freetype. However, it is impossible to generate projects for building of Foundation Classes using CMake (see attached screenshot). Additionally, variables that should contain paths to 3rd-party products appear in configuration list.
Steps To Reproducewok 6.8.0: wgenproj -target=cmake
generate vc projects with using cmake-gui
TagsNo tags attached.
Test case number
Attached Filespng file icon cmake_failure.png (42,597 bytes) 2015-02-04 11:39

- Relationships
related to 0025114closedabv CMake-based build tools for OCCT 7.0 

-  Notes
(0037052)
git (administrator)
2015-02-04 12:37

Branch CR25791 has been created by ibs.

SHA-1: cdf3d874d2b25d10c1586e763644df2e7cb0dab1


Detailed log of new commits:

Author: ibs
Date: Wed Feb 4 12:18:04 2015 +0300

    0025791: Impossibility to generate projects for Foundation Classes without TclTk/Freetype using CMake
    
    unset redundant variables
(0037053)
ibs (developer)
2015-02-04 12:38

dear oan,
CR25791 occt branch is ready for reviewing and testing
(0037085)
oan (developer)
2015-02-04 17:20

Dear ibs,

I have no remarks from my side, it is OK for me.
(0038593)
git (administrator)
2015-03-18 13:37

Branch CR25791 has been deleted by inv.

SHA-1: cdf3d874d2b25d10c1586e763644df2e7cb0dab1

- Related Changesets
occt: master 9ccea0c6
Timestamp: 2015-02-04 09:18:04
Author: ibs
Committer: bugmaster
Details ] Diff ]
0025791: Impossibility to generate projects for Foundation Classes without TclTk/Freetype using CMake

unset redundant variables
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-04 11:39 oan New Issue
2015-02-04 11:39 oan Assigned To => ibs
2015-02-04 11:39 oan File Added: cmake_failure.png
2015-02-04 11:45 ibs Relationship added related to 0025114
2015-02-04 11:52 ibs Product Version => 6.8.0
2015-02-04 11:53 ibs Status new => assigned
2015-02-04 12:37 git Note Added: 0037052
2015-02-04 12:38 ibs Note Added: 0037053
2015-02-04 12:38 ibs Assigned To ibs => oan
2015-02-04 12:38 ibs Status assigned => resolved
2015-02-04 12:38 ibs Steps to Reproduce Updated View Revisions
2015-02-04 17:20 oan Note Added: 0037085
2015-02-04 17:20 oan Assigned To oan => bugmaster
2015-02-04 17:20 oan Status resolved => reviewed
2015-02-04 17:21 oan Severity minor => major
2015-02-06 15:38 bugmaster Changeset attached => occt master 9ccea0c6
2015-02-06 15:38 bugmaster Status reviewed => verified
2015-02-06 15:38 bugmaster Resolution open => fixed
2015-03-18 13:37 git Note Added: 0038593
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker